PLAKAR-CAT(1)

NAME
plakar-cat - Display file contents from a Plakar snapshot

SYNOPSIS
plakar cat [-decompress] [-highlight] snapshotID:path ...

DESCRIPTION
The plakar cat command outputs the contents of path within Plakar snapshots to the standard output. It can decompress compressed files and optionally apply syntax highlighting based on the file type.

The options are as follows:

-decompress
    If set, Plakar attempts to decompress application/gzip files.

-highlight
    Apply syntax highlighting to the output based on the file type.

EXAMPLES
Display a file's contents from a snapshot:

    $ plakar cat abc123:/etc/passwd

Display a file with syntax highlighting:

    $ plakar cat -highlight abc123:/home/op/korpus/driver.sh

DIAGNOSTICS

0   Command completed successfully.

>0  An error occurred, such as failure to retrieve a file or decompress content.

SEE ALSO
plakar(1), plakar-backup(1)